LISTING 3================================================================
/*   MAPLE.H --- Header file for maple tree template
     This (and the other header files like it) can be used to define
     the initial fractal template for the SIERP.C and FRACDRAW.C programs
*/
#define NPOINTS 4    /* Number of points on the "parent" polygon */
#define NTRANS  3    /* Number of transformed "children" */
#define NLEVELS 6    /* Number of levels to draw */
#define COUNT 10000  /* Number of dots to paint */
#define CENTERX 320  /* Center of the screen */
#define CENTERY 350
        /* The "parent" polygon */
#define SEEDX 6,20,-6,-12  
#define SEEDY -120,120,120,-120
         /* The tranformations which define the "children" */
#define MOVEX -6.1,-46,48  /* Displacement */
#define MOVEY -156,-40,-38
#define SIZEX  .65,.57,.58    /* Size change */
#define SIZEY  .56,.77,.82
#define SPINX   6.28,5.52,.44    /* Rotation */
#define SPINY   6.28,5.52,.44

/* The following color definitions are ignored by the SIERP program
   and used only by FRACDRAW.  See similar #defines in SIERP.H (Listing 2)
*/
#define PALETTE {_BLACK, _RED, _GREEN, _CYAN, \
		 _BLUE, _MAGENTA, _BROWN, _WHITE, \
		 _GRAY, _LIGHTBLUE, _LIGHTGREEN, _LIGHTCYAN, \
		 _LIGHTRED, _LIGHTMAGENTA, _LIGHTYELLOW, _BRIGHTWHITE}

#define COLOR {{6, 6,14,14,10, 2},\
               {6, 6,14,14,10, 2},\
               {6, 6,14,14,10, 2},\
               {6, 6,14,14,10, 2},\
               {6, 6,14,14,10, 2},\
               {6, 6,14,14,10, 2},\
               {6, 6,14,14,10, 2},\
               {6, 6,14,14,10, 2},\
               {6, 6,14,14,10, 2}}
